apiVersion: forklift.konveyor.io/v1beta1
kind: NetworkMap
metadata:
  generateName: provider-ova-
  resourceVersion: '3426361'
  name: provider-ova-9fnm8
  uid: 094a347a-6880-407a-a09e-9f321f84a2db
  creationTimestamp: '2025-06-19T10:57:13Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:observedGeneration': {}
          'f:references': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-06-19T10:57:13Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"1aee9efd-ca95-4169-bb86-1062949ede83"}': {}
        'f:spec':
          .: {}
          'f:map': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
      manager: Mozilla
      operation: Update
      time: '2025-06-19T10:57:14Z'
  namespace: mtv-test
  ownerReferences:
    - apiVersion: forklift.konveyor.io/v1beta1
      kind: Plan
      name: plan-ova-1
      uid: 1aee9efd-ca95-4169-bb86-1062949ede83
spec:
  map:
    - destination:
        type: pod
      source:
        id: ae1badc8c693926f492a01e2f357d6af321b
        name: VM Network
    - destination:
        type: pod
      source:
        id: bcc023af34d844f0504faada50eff03511bc
        name: Mgmt Network
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: mtv-test
      uid: abbe1d0f-a772-4c37-a3ba-5dd9fae0248e
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: provider-ova
      namespace: mtv-test
      uid: a7fd74ea-279a-4681-91fe-2e2570d637fd
status:
  conditions:
    - category: Required
      lastTransitionTime: '2025-06-19T10:57:13Z'
      message: The network map is ready.
      status: 'True'
      type: Ready
  observedGeneration: 1
  references:
    - id: ae1badc8c693926f492a01e2f357d6af321b
      name: VM Network
    - id: bcc023af34d844f0504faada50eff03511bc
      name: Mgmt Network
